version: 2
name: gitlink-help-autodeploy
description: ""
global:
  concurrent: 1
trigger:
  webhook: gitlink@1.0.0
  event:
    - ref: push
      ruleset-operator: AND
workflow:
  - ref: start
    name: 开始
    task: start
  - ref: git_clone_0
    name: git clone
    task: git_clone@1.2.9
    input:
      remote_url: '"https://gitlink.org.cn/zzx-coder/gitlink_help_center.git"'
      ref: '"refs/heads/master"'
      commit_id: '""'
      depth: 1
    needs:
      - start
  - ref: docker_image_build_0
    name: docker镜像构建
    task: docker_image_build@1.6.0
    input:
      docker_username: ((aliyun.aliyun_username))
      docker_password: ((aliyun.aliyun_password))
      image_name: '"crpi-1x701qgqjia2gdeu.cn-chengdu.personal.cr.aliyuncs.com/gitlink-help-center/gitlink-help-center"'
      image_tag: '"latest"'
      registry_address: '"crpi-1x701qgqjia2gdeu.cn-chengdu.personal.cr.aliyuncs.com"'
      docker_file: '"Dockerfile"'
      docker_build_path: '"."'
      workspace: ((git_clone_0.git_path))
      image_push: true
      build_args: '""'
    needs:
      - git_clone_0
  - ref: ssh_cmd_0
    name: ssh执行命令
    task: ssh_cmd@1.1.1
    input:
      ssh_private_key: ((gitlink_help_center_ssh_key.gitlink_help_center_ssh_key))
      ssh_ip: '"121.41.222.0"'
      ssh_port: '"22"'
      ssh_user: '"root"'
      ssh_cmd: '"/opt/gitlink-deploy/deploy.sh"'
    needs:
      - docker_image_build_0
  - ref: end
    name: 结束
    task: end
    needs:
      - ssh_cmd_0

